## saga 7.3.0+dfsg

=== src/accessories/CMakeLists.txt ===
project(assesories)
message(STATUS "folder: ${PROJECT_NAME}")

#add_subdirectory(toolchains)
install(DIRECTORY toolchains DESTINATION share/saga
	FILES_MATCHING PATTERN "*.xml")
