=== debian/changelog ===
saga (7.3.0+dfsg-7) unstable; urgency=medium

  * Remove libvigra-impex dependency (and module)

 -- Johan Van de Wauw <johan@gisky.be>  Wed, 15 Dec 2021 09:12:00 +0100

saga (7.3.0+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Add pkg-config to build dependencies.
    (closes: #997045)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Oct 2021 07:34:51 +0200

saga (7.3.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.
  * Override dh_python3 to use --no-ext-rename to fix broken symlink.
    (closes: #988674)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Jun 2021 07:12:36 +0200

saga (7.3.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Add patch by Timo Röhling to fix FTBFS with Qhull 2019.1.
    (closes: #956461)
  * Drop unused override for hardening-no-fortify-functions.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Apr 2020 20:38:04 +0200

saga (7.3.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop obsolete libsaga transitional package.
    (closes: #940781)
  * Bump Standards-Version to 4.4.1, no changes.
  * Drop OpenCV support.
    (closes: #922593)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Oct 2019 18:09:48 +0200

saga (7.3.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Switch to wxWidgets GTK 3 implementation.
    (closes: #933464)
  * Update lintian override for spelling-error-in-binary.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Sep 2019 12:44:30 +0200

saga (7.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jul 2019 19:06:03 +0200

saga (7.3.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.4.0, no changes.
  * Update copyright file, changes:
    - Update repackaging comment
    - Update paths for moved files
    - Drop idw source files, removed upstream
    - Add license & copyright for new files
  * Add patch to fix spelling errors.
  * Switch to Python 3.

  [ Johan Van de Wauw ]
  * Also watch for new LTR release
  * Adjust files-excluded paths
  * New upstream version 7.3.0+dfsg
    (closes: #931941)
  * Use system version of svm
  * Bump saga api packages to new version
  * Add libdxf patch

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Jul 2019 13:06:02 +0200

saga (2.3.1+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add upstream patches to update AppStream metadata for non-legacy format.
  * Bump Standards-Version to 4.3.0, no changes.
  * Remove package name from lintian overrides.
  * Drop unused libogdi-3.2-dev build dependency.
  * Update gbp.conf to use --source-only-changes by default.
  * Add DEP-3 headers to fixwikilink.patch.
  * Add license & copyright for AppStream metadata.

  [ Johan Van de Wauw ]
  * Add patch to fix wiki link in help menu

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 10:53:19 +0200
