=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+dfsg \
http://sf.net/saga-gis/ \
saga[_-]?(7\.3\.\d+(?:[_\.\-\+]?(?:(?:RC|rc|pre|dev|beta|alpha)\d*)?)?)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
