=== saga-gis/src/tools/garden/CMakeLists.txt ===
add_subdirectory(garden_3d_viewer)
add_subdirectory(garden_fractals)
add_subdirectory(garden_games)
add_subdirectory(garden_webservices)
