=== saga-gis/src/tools/tin/CMakeLists.txt ===
add_subdirectory(tin_tools)
add_subdirectory(tin_viewer)
