=== debian/changelog ===
saga (8.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches (applied upstream)
  * Skip running autoreconf during build

 -- Johan Van de Wauw <johan@gisky.be>  Thu, 16 Jun 2022 10:06:47 +0200

saga (8.2.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch support GDAL 3.5.0 Multi-Arch path in FindGDAL.cmake.
    (closes: #1012675)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Jun 2022 17:24:11 +0200

saga (8.2.1+dfsg-2) unstable; urgency=medium

  * Add fix for saga_cmd which was not finding modules

 -- Johan Van de Wauw <johan@gisky.be>  Tue, 31 May 2022 09:46:21 +0200

saga (8.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 May 2022 06:55:17 +0200

saga (8.2.1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Johan Van de Wauw ]
  * New upstream release.
  * Watch for any version of saga
  * Adjust excluded paths in d/copyright
  * Switch packaging to CMake.

  [ Bas Couwenberg ]
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 May 2022 19:20:12 +0200

saga (7.3.0+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Add patch by Adrian Bunk to fix FTBFS with python3.10.
    (closes: #1009417)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 May 2022 20:34:47 +0200
