=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
            Francesco Paolo Lovergine <frankie@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: cmake,
+               debhelper-compat (= 12),
                dh-python,
                libdxflib-dev,
                libexpat-dev,
@@ -13,6 +14,7 @@
                libproj-dev,
                libqhull-dev,
                libsvm-dev,
+               libvigraimpex-dev,
                libwxgtk3.0-gtk3-dev,
                pkg-config,
                python3-dev,
@@ -54,8 +56,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libsaga-api-7.3.0 (= ${binary:Version}),
-         libsaga-gdi-7.3.0 (= ${binary:Version}),
+Depends: libsaga-api8 (= ${binary:Version}),
+         libsaga-gdi8 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: saga (= ${binary:Version})
 Description: SAGA GIS development files
@@ -65,7 +67,7 @@
  This package contains the header files for developing with SAGA.
  Install this package if you wish to develop software that uses the SAGA API.
 
-Package: libsaga-api-7.3.0
+Package: libsaga-api8
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -78,7 +80,7 @@
  .
  This package contains the library files for developing with SAGA.
 
-Package: libsaga-gdi-7.3.0
+Package: libsaga-gdi8
 Architecture: any
 Multi-Arch: same
 Section: libs
