## saga 8.4.0+dfsg

=== debian/changelog ===
saga (8.4.0+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Update build dependencies for wxwidgets3.2.
    (closes: #1019762)
  * Update lintian overrides.

  [ Johan Van de Wauw ]
  * New upstream release.
  * Update copyright for clipper

 -- Johan Van de Wauw <johan@gisky.be>  Tue, 25 Oct 2022 13:46:55 +0200
