=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
                libqhull-dev,
                libsvm-dev,
                libvigraimpex-dev,
-               libwxgtk3.0-gtk3-dev,
+               libwxgtk3.2-dev,
                pkg-config,
                python3-dev,
                swig
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/saga
 Vcs-Git: https://salsa.debian.org/debian-gis-team/saga.git
 Homepage: http://www.saga-gis.org/
