=== debian/changelog ===
saga (8.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Nov 2022 11:46:48 +0100
