## saga 8.4.2+dfsg

=== saga-gis/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.13.3)
+cmake_minimum_required(VERSION 3.14)
 
 # Policy CMP0043 introduced in cmake version 3.0 IGNORES the use of COMPILE_DEFINITIONS
 # suffixed variables, e.g. COMPILE_DEFINITIONS_DEBUG
@@ -49,12 +49,15 @@
 include(version.cmake)
 
 # include shared definitions and scripts
-include(shared_cmake/scripts/require-cpp11.cmake)
-include(shared_cmake/scripts/enable_warnings.cmake)
-include(shared_cmake/scripts/windows_version_info.cmake)
+include(cmake/shared/require-cpp11.cmake)
+include(cmake/shared/enable_warnings.cmake)
+include(cmake/shared/windows_version_info.cmake)
 
 # Use GNU install dirs to support multiarch
 include(cmake/modules/GNUInstallDirs.cmake)
+
+# clang uses this compile commands for the language server protocol
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON) 
 
 # create windows resouce file
 set(windows_version_rc "${CMAKE_BINARY_DIR}/win_version_info.rc")
@@ -76,18 +79,27 @@
 # compile with OpenMP optimizations
 if(OpenMP_SUPPORT)
 	find_package(OpenMP QUIET REQUIRED)
-	message(STATUS "compile with OpenMP optimizations")
-	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
-	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
-endif()
+	if(OPENMP_FOUND)
+		message(STATUS "compile with OpenMP optimizations")
+		set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   ${OpenMP_C_FLAGS}")
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
+		if(APPLE)
+			set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   ${OpenMP_C_FLAGS}   -I${OpenMP_C_INCLUDE_DIR}")
+			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS} -I${OpenMP_CXX_INCLUDE_DIR}")
+			cmake_path(GET OpenMP_libomp_LIBRARY PARENT_PATH OpenMP_LIBRARY_DIR)
+			set(CMAKE_EXE_LINKER_FLAGS    "${CMAKE_EXE_LINKER_FLAGS}    -L${OpenMP_LIBRARY_DIR} -lomp")
+			set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -L${OpenMP_LIBRARY_DIR} -lomp")
+		endif(APPLE)
+	else()
+		message(STATUS "OpenMP not found!")
+	endif(OPENMP_FOUND)
+endif(OpenMP_SUPPORT)
 
 # add files to dummy target to show in IDE
 file(GLOB CMAKE_FILES "cmake/*.cmake" "cmake/modules/*.cmake")
-file(GLOB SHARED_CMAKE_FILES "shared_cmake/scripts/*.cmake")
+file(GLOB SHARED_CMAKE_FILES "cmake/shared/*.cmake")
 add_custom_target(saga-other-files SOURCES
 	.gitignore
-	COPYING
-	README
 	src/gpl.txt
 	src/lgpl.txt
 	src/install.txt
