=== debian/changelog ===
saga (8.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Dec 2022 16:30:32 +0100
