=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/saga
 Vcs-Git: https://salsa.debian.org/debian-gis-team/saga.git
 Homepage: http://www.saga-gis.org/
+Rules-Requires-Root: no
 
 Package: saga
 Architecture: any
